// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded quartz_alloy_hull_block.js)')


// quartz_alloy_machine_hull

StartupEvents.registry('block', event => {
    event.create('quartz_alloy_machine_hull', 'cardinal')
        .displayName('Quartz Alloy Machine Hull')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/quartz_alloy_machine_hull.json (rotation)
assets/kubejs/models/block/quartz_alloy_machine_hull.json (parent to GT hull + texture keys)
assets/kubejs/models/item/quartz_alloy_machine_hull.json (item uses block model)
assets/kubejs/textures/block/quartz_alloy_hull/{bottom,side,top}.png
*/